Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.portal.command
Class PortalCommand

    java.lang.Object
      org.jboss.portal.common.invocation.Invocation
          org.jboss.portal.core.controller.ControllerCommand
              org.jboss.portal.core.model.portal.command.PortalObjectCommand
                  org.jboss.portal.core.model.portal.command.PortalCommand

Direct Known Subclasses:
  PageCommand, ViewPortalCommand

    public abstract class PortalCommand

extends PortalObjectCommand

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary
`protected Portal` | `portal` .

Fields inherited from class org.jboss.portal.core.model.portal.command.PortalObjectCommand
`dashboard, target, targetId`

Fields inherited from class org.jboss.portal.core.controller.ControllerCommand
`context, log, NAVIGATIONAL_STATE_SCOPE, PRINCIPAL_SCOPE, REQUEST_SCOPE, SESSION_SCOPE`

Fields inherited from class org.jboss.portal.common.invocation.Invocation
`EMPTY_STACK`

Constructor Summary
`PortalCommand(PortalObjectId portalId)`

Method Summary
`void` | `acquireResources()`
`Portal` | `getPortal()` Get the requestet portal
`protected abstract Portal` | `initPortal()`

Methods inherited from class org.jboss.portal.core.model.portal.command.PortalObjectCommand
`enforceSecurity, getTarget, getTargetId, isDashboard`

Methods inherited from class org.jboss.portal.core.controller.ControllerCommand
`create, createContext, destroy, destroyContext, execute, getContext, getControllerContext, getInfo, releaseResources, rethrow`

Methods inherited from class org.jboss.portal.common.invocation.Invocation
`getAttribute, getHandler, invoke, invokeNext, removeAttribute, setAttribute, setHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### portal

    protected Portal portal

  .

Constructor Detail

### PortalCommand

    public PortalCommand(PortalObjectId portalId)

Method Detail

### getPortal

    public final Portal getPortal()

  Get the requestet portal

  Returns:
    the requested portal

### acquireResources

    public void acquireResources()
                          throws NoSuchResourceException

  Overrides:
    `acquireResources` in class `PortalObjectCommand`
  Throws:
    `NoSuchResourceException`

### initPortal

    protected abstract Portal initPortal()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD